<div dir="ltr"><br><div class="gmail_extra"><br><div class="gmail_quote">On Fri, May 20, 2016 at 12:41 PM, akuster@mvista <span dir="ltr"><<a href="mailto:akuster@mvista.com" target="_blank">akuster@mvista.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">On 5/20/16 9:33 AM, Bruce Ashfield wrote:<br>
> merged to master.<br>
><br>
<br>
Wont this make a depends on the meta-security layer where libseccomp lives?<br></blockquote><div><br></div><div>Yep. When enabled (which I have in other builds). But since it is off by default,</div><div>I'm fine with it.</div><div><br></div><div>Bruce</div><div> </div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<br>
- Armin<br>
<span class=""><br>
<br>
> Bruce<br>
><br>
> On Fri, May 20, 2016 at 2:27 AM, <<a href="mailto:zhe.he@windriver.com">zhe.he@windriver.com</a><br>
</span>> <mailto:<a href="mailto:zhe.he@windriver.com">zhe.he@windriver.com</a>>> wrote:<br>
><br>
>     From: He Zhe <<a href="mailto:zhe.he@windriver.com">zhe.he@windriver.com</a> <mailto:<a href="mailto:zhe.he@windriver.com">zhe.he@windriver.com</a>>><br>
<span class="">><br>
>     "WARNING: QA Issue: qemu rdepends on libseccomp, but it isn't a build<br>
>     dependency? [build-deps]"<br>
><br>
>     Currently qemu itself checks and links with libsecomp(if version >=<br>
>     2.1.1)<br>
>     for x86 and x86-64, since it is not specified in configure, and<br>
>     causes the<br>
>     above warning.<br>
><br>
>     This patch adds packageconfig for libseccomp and set it disabled as<br>
>     default.<br>
>     This feature can be enabled whenever libseccomp exists and is needed.<br>
><br>
>     Signed-off-by: He Zhe <<a href="mailto:zhe.he@windriver.com">zhe.he@windriver.com</a><br>
</span>>     <mailto:<a href="mailto:zhe.he@windriver.com">zhe.he@windriver.com</a>>><br>
<span class="">>     ---<br>
>      meta-openstack/recipes-devtools/qemu/qemu_2.%.bbappend | 1 +<br>
>      1 file changed, 1 insertion(+)<br>
><br>
>     diff --git a/meta-openstack/recipes-devtools/qemu/qemu_2.%.bbappend<br>
>     b/meta-openstack/recipes-devtools/qemu/qemu_2.%.bbappend<br>
>     index ca8274e..9d774c4 100644<br>
>     --- a/meta-openstack/recipes-devtools/qemu/qemu_2.%.bbappend<br>
>     +++ b/meta-openstack/recipes-devtools/qemu/qemu_2.%.bbappend<br>
>     @@ -1,4 +1,5 @@<br>
>      PACKAGECONFIG[spice] = "--enable-spice,--disable-spice,spice,"<br>
>     +PACKAGECONFIG[libseccomp] =<br>
>     "--enable-seccomp,--disable-seccomp,libseccomp,libseccomp"<br>
><br>
>      PACKAGECONFIG ?= "fdt spice virtfs libcap-ng"<br>
>      PACKAGECONFIG_class-native = "fdt"<br>
>     --<br>
>     1.9.1<br>
><br>
>     --<br>
>     _______________________________________________<br>
>     meta-virtualization mailing list<br>
>     <a href="mailto:meta-virtualization@yoctoproject.org">meta-virtualization@yoctoproject.org</a><br>
</span>>     <mailto:<a href="mailto:meta-virtualization@yoctoproject.org">meta-virtualization@yoctoproject.org</a>><br>
<div class="HOEnZb"><div class="h5">>     <a href="https://lists.yoctoproject.org/listinfo/meta-virtualization" rel="noreferrer" target="_blank">https://lists.yoctoproject.org/listinfo/meta-virtualization</a><br>
><br>
><br>
><br>
><br>
> --<br>
> "Thou shalt not follow the NULL pointer, for chaos and madness await<br>
> thee at its end"<br>
><br>
><br>
</div></div></blockquote></div><br><br clear="all"><div><br></div>-- <br><div class="gmail_signature">"Thou shalt not follow the NULL pointer, for chaos and madness await thee at its end"</div>
</div></div>